import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;
import scripts.Util.helper.addRecipeToTierMachine as addRecipeToTierMachine;

var machine = "chipassembler";
var tier = 1;
var maxTier = 3;
var processingTime = 600;


addRecipeToTierMachine("circuit_base", machine, tier, maxTier, processingTime, 32,
    [
        <ore:dustRedstone> * 2,
        <ore:itemSilicon> * 2,
        <ore:wireCopper> * 4
    ],
    <contenttweaker:circuit_base> * 2);

addRecipeToTierMachine("circuit_t1", machine, tier, maxTier, processingTime, 64,
    [
        <contenttweaker:circuit_base> * 2,
        <ore:ingotTin> * 2,
        <ore:wireCopper> * 4,
        <ore:dustRedstone> * 2
    ],
    <contenttweaker:circuit_t1> * 2);

addRecipeToTierMachine("circuit_t2", machine, tier, maxTier, processingTime, 128,
    [
        <contenttweaker:circuit_t1> * 2,
        <ore:wireElectrum> * 4,
        <immersiveengineering:material:27> * 1,
       <ore:electronTube> * 1
    ],
    <contenttweaker:circuit_t2> * 2);


addRecipeToTierMachine("universal_processor", machine, tier, maxTier, processingTime, 128,
    [
        <appliedenergistics2:material:22> * 1,
        <appliedenergistics2:material:23> * 1,
        <appliedenergistics2:material:24> * 1,
        <thermalfoundation:material:1024> * 1,
        <thermalfoundation:material:1025> * 1
    ],
    <contenttweaker:universal_processor> * 1);


