import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "singular_mixer";

val modularium = mods.modularmachinery.RecipeBuilder.newBuilder("modularium",machine,300);
modularium.addEnergyPerTickInput(2048);
modularium.addItemInput(<ore:ingotManyullyn> * 1);
modularium.addItemInput(<ore:ingotElectrum> * 1);
modularium.addItemInput(<ore:gemEmerald> * 1);
modularium.addItemInput(<ore:ingotBronze> * 1);
modularium.addItemInput(<ore:obsidian> * 1);
modularium.addItemInput(<ore:ingotSteel> * 1);
modularium.addItemOutput(<modularmachinery:itemmodularium> * 2);
modularium.build();

val space_singularity = mods.modularmachinery.RecipeBuilder.newBuilder("space_singularity",machine,1200);
space_singularity.addEnergyPerTickInput(4096);
space_singularity.addItemInput(<contenttweaker:shard_htch_101> * 1);
space_singularity.addItemInput(<contenttweaker:shard_tmev_53> * 1);
space_singularity.addItemInput(<contenttweaker:shard_bob_302> * 1);
space_singularity.addItemInput(<contenttweaker:shard_inds_43> * 1);
space_singularity.addItemInput(<contenttweaker:shard_wzrd_12> * 1);
space_singularity.addItemInput(<contenttweaker:shard_skfa_84> * 1);
space_singularity.addItemInput(<contenttweaker:shard_pray_43> * 1);
space_singularity.addItemInput(<contenttweaker:shard_aloe_94> * 1);
space_singularity.addItemInput(<contenttweaker:shard_tfgr_23> * 1);
space_singularity.addItemInput(<contenttweaker:shard_blcksrn-ded> * 1);
space_singularity.addItemOutput(<contenttweaker:space_singularity> * 1);
space_singularity.build();

