import crafttweaker.item.IItemStack;
import mods.modularmachinery.RecipeBuilder;
import crafttweaker.item.IItemCondition;

<contenttweaker:htch-101>.addTooltip(format.gray("Планета HTCH-101"));
<contenttweaker:tmev-53>.addTooltip(format.gray("Планета TMEV-53"));
<contenttweaker:amogu-5>.addTooltip(format.gray("Планета AMOGU-5"));
<contenttweaker:wzrd-12>.addTooltip(format.gray("Планета WZRD-12"));
<contenttweaker:skfa-84>.addTooltip(format.gray("Планета SKFA-84"));
<contenttweaker:pray-43>.addTooltip(format.gray("Планета PRAY-43"));
<contenttweaker:bob-302>.addTooltip(format.gray("Планета BOB-302"));
<contenttweaker:aloe-94>.addTooltip(format.gray("Планета ALOE-94"));
<contenttweaker:tfgr-23>.addTooltip(format.gray("Планета TFGR-23"));
<contenttweaker:inds-43>.addTooltip(format.gray("Планета INDS-43"));
<contenttweaker:blcksrn-ded>.addTooltip(format.gray("Планета BLCKSRN-DED"));



//Tier 1

    // INDS-43
    val INDS_43 = mods.modularmachinery.RecipeBuilder.newBuilder("INDS-43_MiningMission","space_mission", 200).applyAnimation();
    INDS_43.addEnergyPerTickInput(4096);
    INDS_43.addItemInput(<contenttweaker:inds-43>).setChance(0);
    INDS_43.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    INDS_43.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    INDS_43.addItemOutput(<minecraft:stone>);
    INDS_43.addItemOutput(<thermalfoundation:ore:5>).setChance(0.25);
    INDS_43.addItemOutput(<mekanism:oreblock>).setChance(0.25);
    INDS_43.addItemOutput(<minecraft:iron_ore>).setChance(0.25);
    INDS_43.addItemOutput(<mekanism:otherdust:1>).setChance(0.1);
    INDS_43.addItemOutput(<contenttweaker:shard_inds_43> * 1).setChance(0.1);
    INDS_43.build();

    // WZRD-12
    val WZRD_12 = mods.modularmachinery.RecipeBuilder.newBuilder("WZRD-12_MiningMission","space_mission", 200).applyAnimation();
    WZRD_12.addEnergyPerTickInput(4096);
    WZRD_12.addItemInput(<contenttweaker:wzrd-12>).setChance(0);
    WZRD_12.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    WZRD_12.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    WZRD_12.addItemOutput(<minecraft:stone>);
    WZRD_12.addItemOutput(<thermalfoundation:ore:2>).setChance(0.33);
    WZRD_12.addItemOutput(<minecraft:diamond_ore>).setChance(0.1);
    WZRD_12.addItemOutput(<minecraft:emerald_ore>).setChance(0.1);
    WZRD_12.addItemOutput(<minecraft:prismarine_shard>).setChance(0.2);
    WZRD_12.addItemOutput(<contenttweaker:shard_wzrd_12> * 1).setChance(0.1);
    WZRD_12.build();

    // TMEV-53
    val TMEV_53 = mods.modularmachinery.RecipeBuilder.newBuilder("TMEV-53_MiningMission","space_mission", 200).applyAnimation();
    TMEV_53.addEnergyPerTickInput(4096);
    TMEV_53.addItemInput(<contenttweaker:tmev-53>).setChance(0);
    TMEV_53.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    TMEV_53.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    TMEV_53.addItemOutput(<minecraft:stone>);
    TMEV_53.addItemOutput(<minecraft:lapis_ore>).setChance(0.25);
    TMEV_53.addItemOutput(<minecraft:redstone_ore>).setChance(0.25);
    TMEV_53.addItemOutput(<appliedenergistics2:sky_stone_block>).setChance(0.1);
    TMEV_53.addItemOutput(<tconstruct:shard>.withTag({Material: "xu_evil_metal"})).setChance(0.02);
    TMEV_53.addItemOutput(<contenttweaker:shard_tmev_53> * 1).setChance(0.1);
    TMEV_53.build();

    // SKFA-84
    val SKFA_84 = mods.modularmachinery.RecipeBuilder.newBuilder("SKFA-84_MiningMission","space_mission", 200).applyAnimation();
    SKFA_84.addEnergyPerTickInput(4096);
    SKFA_84.addItemInput(<contenttweaker:skfa-84>).setChance(0);
    SKFA_84.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    SKFA_84.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    SKFA_84.addItemOutput(<minecraft:netherrack>);
    SKFA_84.addItemOutput(<tconstruct:ore:1>).setChance(0.05);
    SKFA_84.addItemOutput(<tconstruct:ore>).setChance(0.05);
    SKFA_84.addItemOutput(<minecraft:quartz_ore>).setChance(0.15);
    SKFA_84.addItemOutput(<extendedcrafting:material:140>).setChance(0.03);
    SKFA_84.addItemOutput(<contenttweaker:shard_skfa_84> * 1).setChance(0.1);
    SKFA_84.build();

    // TFGR-23
    val TFGR_23 = mods.modularmachinery.RecipeBuilder.newBuilder("TFGR-23_MiningMission","space_mission", 200).applyAnimation();
    TFGR_23.addEnergyPerTickInput(4096);
    TFGR_23.addItemInput(<contenttweaker:tfgr-23>).setChance(0);
    TFGR_23.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    TFGR_23.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    TFGR_23.addItemOutput(<minecraft:stone>);
    TFGR_23.addItemOutput(<minecraft:glowstone>).setChance(0.1);
    TFGR_23.addItemOutput(<minecraft:gold_ore>).setChance(0.15);
    TFGR_23.addItemOutput(<advanced_solar_panels:crafting:1>).setChance(0.01);
    TFGR_23.addItemOutput(<contenttweaker:shard_tfgr_23> * 1).setChance(0.1);
    TFGR_23.build();

    // ALOE-94
    val ALOE_94 = mods.modularmachinery.RecipeBuilder.newBuilder("ALOE-94_MiningMission","space_mission", 200).applyAnimation();
    ALOE_94.addEnergyPerTickInput(4096);
    ALOE_94.addItemInput(<contenttweaker:aloe-94>).setChance(0);
    ALOE_94.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    ALOE_94.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    ALOE_94.addItemOutput(<minecraft:stone>);
    ALOE_94.addItemOutput(<ic2:resource:3>).setChance(0.25);
    ALOE_94.addItemOutput(<ic2:resource:1>).setChance(0.25);
    ALOE_94.addItemOutput(<minecraft:coal_ore>).setChance(0.35);
    ALOE_94.addItemOutput(<immersiveengineering:material:18>).setChance(0.15);
    ALOE_94.addItemOutput(<contenttweaker:shard_aloe_94> * 1).setChance(0.1);
    ALOE_94.build();

    // PRAY-43
    val PRAY_43 = mods.modularmachinery.RecipeBuilder.newBuilder("PRAY-43_MiningMission","space_mission", 200).applyAnimation();
    PRAY_43.addEnergyPerTickInput(4096);
    PRAY_43.addItemInput(<contenttweaker:pray-43>).setChance(0);
    PRAY_43.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    PRAY_43.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    PRAY_43.addItemOutput(<minecraft:stone>);
    PRAY_43.addItemOutput(<ic2:resource:4>).setChance(0.15);
    PRAY_43.addItemOutput(<ic2:resource:2>).setChance(0.25);
    PRAY_43.addItemOutput(<ic2:nuclear:7>).setChance(0.02);
    PRAY_43.addItemOutput(<contenttweaker:shard_pray_43> * 1).setChance(0.1);
    PRAY_43.build();

    // HTCH-101
    val HTCH_101 = mods.modularmachinery.RecipeBuilder.newBuilder("HTCH-101_MiningMission","space_mission", 200).applyAnimation();
    HTCH_101.addEnergyPerTickInput(4096);
    HTCH_101.addItemInput(<contenttweaker:htch-101>).setChance(0);
    HTCH_101.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    HTCH_101.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    HTCH_101.addItemOutput(<minecraft:stone>);
    HTCH_101.addItemOutput(<thermalfoundation:ore:6>).setChance(0.10);
    HTCH_101.addItemOutput(<forestry:resources>).setChance(0.25);
    HTCH_101.addItemOutput(<ic2:misc_resource:1>).setChance(0.03);
    HTCH_101.addItemOutput(<contenttweaker:shard_htch_101> * 1).setChance(0.1);
    HTCH_101.build();

    // BOB-302
    val BOB_302 = mods.modularmachinery.RecipeBuilder.newBuilder("BOB-302_MiningMission","space_mission", 200).applyAnimation();
    BOB_302.addEnergyPerTickInput(4096);
    BOB_302.addItemInput(<contenttweaker:bob-302>).setChance(0);
    BOB_302.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    BOB_302.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    BOB_302.addItemOutput(<minecraft:stone>);
    BOB_302.addItemOutput(<appliedenergistics2:charged_quartz_ore>).setChance(0.10).applyAnimation();
    BOB_302.addItemOutput(<appliedenergistics2:quartz_ore>).setChance(0.15);
    BOB_302.addItemOutput(<threng:material:1>).setChance(0.05);
    BOB_302.addItemOutput(<contenttweaker:shard_bob_302> * 1).setChance(0.1);
    BOB_302.build();


    // BLCKSRN-DED
    val BLCKSRN_DED = mods.modularmachinery.RecipeBuilder.newBuilder("BLCKSRN-DED_MiningMission","space_mission", 200).applyAnimation();
    BLCKSRN_DED.addEnergyPerTickInput(4096);
    BLCKSRN_DED.addItemInput(<contenttweaker:blcksrn-ded>).setChance(0);
    BLCKSRN_DED.addItemInput(<contenttweaker:space_ship_t1>).setChance(0);
    BLCKSRN_DED.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    BLCKSRN_DED.addItemOutput(<minecraft:end_stone>);
    BLCKSRN_DED.addItemOutput(<draconicevolution:draconium_ore:2>).setChance(0.05);
    BLCKSRN_DED.addItemOutput(<thermalfoundation:material:231>).setChance(0.03);
    BLCKSRN_DED.addItemOutput(<extendedcrafting:material:41>).setChance(0.03);
    BLCKSRN_DED.addItemOutput(<draconicevolution:nugget:1>).setChance(0.01);
    BLCKSRN_DED.addItemOutput(<draconicevolution:chaos_shard:2>).setChance(0.01);
    BLCKSRN_DED.addItemOutput(<contenttweaker:shard_blcksrn-ded> * 1).setChance(0.1);
    BLCKSRN_DED.build();

//Tier 2

    // INDS-43
    val INDS_43_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("INDS-43_MiningMission_t2","space_mission", 200).applyAnimation();
    INDS_43_T2.addEnergyPerTickInput(4096);
    INDS_43_T2.addItemInput(<contenttweaker:inds-43>).setChance(0);
    INDS_43_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    INDS_43_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    INDS_43_T2.addItemOutput(<minecraft:stone> * 2);
    INDS_43_T2.addItemOutput(<thermalfoundation:ore:5> * 2).setChance(0.375);
    INDS_43_T2.addItemOutput(<mekanism:oreblock> * 2).setChance(0.375);
    INDS_43_T2.addItemOutput(<minecraft:iron_ore> * 2).setChance(0.375);
    INDS_43_T2.addItemOutput(<mekanism:otherdust:1> * 2).setChance(0.15);
    INDS_43_T2.addItemOutput(<contenttweaker:shard_inds_43> * 1).setChance(0.2);
    INDS_43_T2.build();

    // WZRD-12
    val WZRD_12_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("WZRD-12_MiningMission_t2","space_mission", 200).applyAnimation();
    WZRD_12_T2.addEnergyPerTickInput(4096);
    WZRD_12_T2.addItemInput(<contenttweaker:wzrd-12>).setChance(0);
    WZRD_12_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    WZRD_12_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    WZRD_12_T2.addItemOutput(<minecraft:stone> * 2);
    WZRD_12_T2.addItemOutput(<thermalfoundation:ore:2> * 2).setChance(0.495);
    WZRD_12_T2.addItemOutput(<minecraft:diamond_ore> * 2).setChance(0.15);
    WZRD_12_T2.addItemOutput(<minecraft:emerald_ore> * 2).setChance(0.15);
    WZRD_12_T2.addItemOutput(<minecraft:prismarine_shard> * 2).setChance(0.3);
    WZRD_12_T2.addItemOutput(<contenttweaker:shard_wzrd_12> * 1).setChance(0.2);
    WZRD_12_T2.build();

    // TMEV-53
    val TMEV_53_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("TMEV-53_MiningMission_t2","space_mission", 200).applyAnimation();
    TMEV_53_T2.addEnergyPerTickInput(4096);
    TMEV_53_T2.addItemInput(<contenttweaker:tmev-53>).setChance(0);
    TMEV_53_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    TMEV_53_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    TMEV_53_T2.addItemOutput(<minecraft:stone> * 2);
    TMEV_53_T2.addItemOutput(<minecraft:lapis_ore> * 2).setChance(0.375);
    TMEV_53_T2.addItemOutput(<minecraft:redstone_ore> * 2).setChance(0.375);
    TMEV_53_T2.addItemOutput(<appliedenergistics2:sky_stone_block> * 2).setChance(0.15);
    TMEV_53_T2.addItemOutput(<tconstruct:shard>.withTag({Material: "xu_evil_metal"}) * 2).setChance(0.03);
    TMEV_53_T2.addItemOutput(<contenttweaker:shard_tmev_53> * 1).setChance(0.2);
    TMEV_53_T2.build();

    // SKFA-84
    val SKFA_84_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("SKFA-84_MiningMission_t2","space_mission", 200).applyAnimation();
    SKFA_84_T2.addEnergyPerTickInput(4096);
    SKFA_84_T2.addItemInput(<contenttweaker:skfa-84>).setChance(0);
    SKFA_84_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    SKFA_84_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    SKFA_84_T2.addItemOutput(<minecraft:netherrack> * 2);
    SKFA_84_T2.addItemOutput(<tconstruct:ore:1> * 2).setChance(0.075);
    SKFA_84_T2.addItemOutput(<tconstruct:ore> * 2).setChance(0.075);
    SKFA_84_T2.addItemOutput(<minecraft:quartz_ore> * 2).setChance(0.225);
    SKFA_84_T2.addItemOutput(<extendedcrafting:material:140> * 2).setChance(0.05);
    SKFA_84_T2.addItemOutput(<contenttweaker:shard_skfa_84> * 1).setChance(0.2);
    SKFA_84_T2.build();

    // TFGR-23
    val TFGR_23_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("TFGR-23_MiningMission_t2","space_mission", 200).applyAnimation();
    TFGR_23_T2.addEnergyPerTickInput(4096);
    TFGR_23_T2.addItemInput(<contenttweaker:tfgr-23>).setChance(0);
    TFGR_23_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    TFGR_23_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    TFGR_23_T2.addItemOutput(<minecraft:stone> * 2);
    TFGR_23_T2.addItemOutput(<minecraft:glowstone> * 2).setChance(0.15);
    TFGR_23_T2.addItemOutput(<minecraft:gold_ore> * 2).setChance(0.225);
    TFGR_23_T2.addItemOutput(<advanced_solar_panels:crafting:1> * 2).setChance(0.015);
    TFGR_23_T2.addItemOutput(<contenttweaker:shard_tfgr_23> * 1).setChance(0.2);
    TFGR_23_T2.build();

    // ALOE-94
    val ALOE_94_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("ALOE-94_MiningMission_t2","space_mission", 200).applyAnimation();
    ALOE_94_T2.addEnergyPerTickInput(4096);
    ALOE_94_T2.addItemInput(<contenttweaker:aloe-94>).setChance(0);
    ALOE_94_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    ALOE_94_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    ALOE_94_T2.addItemOutput(<minecraft:stone> * 2);
    ALOE_94_T2.addItemOutput(<ic2:resource:3> * 2).setChance(0.375);
    ALOE_94_T2.addItemOutput(<ic2:resource:1> * 2).setChance(0.375);
    ALOE_94_T2.addItemOutput(<minecraft:coal_ore> * 2).setChance(0.525);
    ALOE_94_T2.addItemOutput(<immersiveengineering:material:18> * 2).setChance(0.225);
    ALOE_94_T2.addItemOutput(<contenttweaker:shard_aloe_94> * 1).setChance(0.2);
    ALOE_94_T2.build();

    // PRAY-43
    val PRAY_43_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("PRAY-43_MiningMission_t2","space_mission", 200).applyAnimation();
    PRAY_43_T2.addEnergyPerTickInput(4096);
    PRAY_43_T2.addItemInput(<contenttweaker:pray-43>).setChance(0);
    PRAY_43_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    PRAY_43_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    PRAY_43_T2.addItemOutput(<minecraft:stone> * 2);
    PRAY_43_T2.addItemOutput(<ic2:resource:4> * 2).setChance(0.225);
    PRAY_43_T2.addItemOutput(<ic2:resource:2> * 2).setChance(0.375);
    PRAY_43_T2.addItemOutput(<ic2:nuclear:7> * 2).setChance(0.03);
    PRAY_43_T2.addItemOutput(<contenttweaker:shard_pray_43> * 1).setChance(0.2);
    PRAY_43_T2.build();

    // HTCH-101
    val HTCH_101_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("HTCH-101_MiningMission_t2","space_mission", 200).applyAnimation();
    HTCH_101_T2.addEnergyPerTickInput(4096);
    HTCH_101_T2.addItemInput(<contenttweaker:htch-101>).setChance(0);
    HTCH_101_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    HTCH_101_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    HTCH_101_T2.addItemOutput(<minecraft:stone> * 2);
    HTCH_101_T2.addItemOutput(<thermalfoundation:ore:6> * 2).setChance(0.15).applyAnimation();
    HTCH_101_T2.addItemOutput(<forestry:resources> * 2).setChance(0.375);
    HTCH_101_T2.addItemOutput(<ic2:misc_resource:1> * 2).setChance(0.05);
    HTCH_101_T2.addItemOutput(<contenttweaker:shard_htch_101> * 1).setChance(0.2);
    HTCH_101_T2.build();

    // BOB-302
    val BOB_302_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("BOB-302_MiningMission_t2","space_mission", 200).applyAnimation();
    BOB_302_T2.addEnergyPerTickInput(4096);
    BOB_302_T2.addItemInput(<contenttweaker:bob-302>).setChance(0);
    BOB_302_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    BOB_302_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    BOB_302_T2.addItemOutput(<minecraft:stone> * 2);
    BOB_302_T2.addItemOutput(<appliedenergistics2:charged_quartz_ore> * 2).setChance(0.15).applyAnimation();
    BOB_302_T2.addItemOutput(<appliedenergistics2:quartz_ore> * 2).setChance(0.225);
    BOB_302_T2.addItemOutput(<threng:material:1> * 2).setChance(0.075);
    BOB_302_T2.addItemOutput(<contenttweaker:shard_bob_302> * 1).setChance(0.2);
    BOB_302_T2.build();


    // BLCKSRN-DED
    val BLCKSRN_DED_T2 = mods.modularmachinery.RecipeBuilder.newBuilder("BLCKSRN-DED_MiningMission_t2","space_mission", 200).applyAnimation();
    BLCKSRN_DED_T2.addEnergyPerTickInput(4096);
    BLCKSRN_DED_T2.addItemInput(<contenttweaker:blcksrn-ded>).setChance(0);
    BLCKSRN_DED_T2.addItemInput(<contenttweaker:space_ship_t2>).setChance(0);
    BLCKSRN_DED_T2.addFluidInput(<liquid:ogurechniyrassolchik> * 200);
    BLCKSRN_DED_T2.addItemOutput(<minecraft:end_stone> * 2);
    BLCKSRN_DED_T2.addItemOutput(<draconicevolution:draconium_ore:2> * 2).setChance(0.075);
    BLCKSRN_DED_T2.addItemOutput(<thermalfoundation:material:231> * 2).setChance(0.045);
    BLCKSRN_DED_T2.addItemOutput(<extendedcrafting:material:41> * 2).setChance(0.045);
    BLCKSRN_DED_T2.addItemOutput(<draconicevolution:nugget:1> * 2).setChance(0.015);
    BLCKSRN_DED_T2.addItemOutput(<draconicevolution:chaos_shard:2> * 2).setChance(0.015);
    BLCKSRN_DED_T2.addItemOutput(<contenttweaker:shard_blcksrn-ded> * 1).setChance(0.2);
    BLCKSRN_DED_T2.build();

//Tier 3

    // INDS-43
    val INDS_43_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("INDS-43_MiningMission_t3","space_mission", 200).applyAnimation();
    INDS_43_T3.addEnergyPerTickInput(4096);
    INDS_43_T3.addItemInput(<contenttweaker:inds-43>).setChance(0);
    INDS_43_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    INDS_43_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    INDS_43_T3.addItemOutput(<minecraft:stone> * 4);
    INDS_43_T3.addItemOutput(<thermalfoundation:ore:5> * 4).setChance(0.5);
    INDS_43_T3.addItemOutput(<mekanism:oreblock> * 4).setChance(0.5);
    INDS_43_T3.addItemOutput(<minecraft:iron_ore> * 4).setChance(0.5);
    INDS_43_T3.addItemOutput(<mekanism:otherdust:1> * 4).setChance(0.2);
    INDS_43_T3.addItemOutput(<contenttweaker:shard_inds_43> * 1).setChance(0.5);
    INDS_43_T3.build();

    // WZRD-12
    val WZRD_12_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("WZRD-12_MiningMission_t3","space_mission", 200).applyAnimation();
    WZRD_12_T3.addEnergyPerTickInput(4096);
    WZRD_12_T3.addItemInput(<contenttweaker:wzrd-12>).setChance(0);
    WZRD_12_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    WZRD_12_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    WZRD_12_T3.addItemOutput(<minecraft:stone> * 4);
    WZRD_12_T3.addItemOutput(<thermalfoundation:ore:2> * 4).setChance(0.66);
    WZRD_12_T3.addItemOutput(<minecraft:diamond_ore> * 4).setChance(0.2);
    WZRD_12_T3.addItemOutput(<minecraft:emerald_ore> * 4).setChance(0.2);
    WZRD_12_T3.addItemOutput(<minecraft:prismarine_shard> * 4).setChance(0.4);
    WZRD_12_T3.addItemOutput(<contenttweaker:shard_wzrd_12> * 1).setChance(0.5);
    WZRD_12_T3.build();

    // TMEV-53
    val TMEV_53_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("TMEV-53_MiningMission_t3","space_mission", 200).applyAnimation();
    TMEV_53_T3.addEnergyPerTickInput(4096);
    TMEV_53_T3.addItemInput(<contenttweaker:tmev-53>).setChance(0);
    TMEV_53_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    TMEV_53_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    TMEV_53_T3.addItemOutput(<minecraft:stone> * 4);
    TMEV_53_T3.addItemOutput(<minecraft:lapis_ore> * 4).setChance(0.5);
    TMEV_53_T3.addItemOutput(<minecraft:redstone_ore> * 4).setChance(0.5);
    TMEV_53_T3.addItemOutput(<appliedenergistics2:sky_stone_block> * 4).setChance(0.2);
    TMEV_53_T3.addItemOutput(<tconstruct:shard>.withTag({Material: "xu_evil_metal"}) * 4).setChance(0.04);
    TMEV_53_T3.addItemOutput(<contenttweaker:shard_tmev_53> * 1).setChance(0.5);
    TMEV_53_T3.build();

    // SKFA-84
    val SKFA_84_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("SKFA-84_MiningMission_t3","space_mission", 200).applyAnimation();
    SKFA_84_T3.addEnergyPerTickInput(4096);
    SKFA_84_T3.addItemInput(<contenttweaker:skfa-84>).setChance(0);
    SKFA_84_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    SKFA_84_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    SKFA_84_T3.addItemOutput(<minecraft:netherrack> * 4);
    SKFA_84_T3.addItemOutput(<tconstruct:ore:1> * 4).setChance(0.1);
    SKFA_84_T3.addItemOutput(<tconstruct:ore> * 4).setChance(0.1);
    SKFA_84_T3.addItemOutput(<minecraft:quartz_ore> * 4).setChance(0.3);
    SKFA_84_T3.addItemOutput(<extendedcrafting:material:140> * 4).setChance(0.1);
    SKFA_84_T3.addItemOutput(<contenttweaker:shard_skfa_84> * 1).setChance(0.5);
    SKFA_84_T3.build();

    // TFGR-23
    val TFGR_23_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("TFGR-23_MiningMission_t3","space_mission", 200).applyAnimation();
    TFGR_23_T3.addEnergyPerTickInput(4096);
    TFGR_23_T3.addItemInput(<contenttweaker:tfgr-23>).setChance(0);
    TFGR_23_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    TFGR_23_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    TFGR_23_T3.addItemOutput(<minecraft:stone> * 4);
    TFGR_23_T3.addItemOutput(<minecraft:glowstone> * 4).setChance(0.2);
    TFGR_23_T3.addItemOutput(<minecraft:gold_ore> * 4).setChance(0.3);
    TFGR_23_T3.addItemOutput(<advanced_solar_panels:crafting:1> * 4).setChance(0.02);
    TFGR_23_T3.addItemOutput(<contenttweaker:shard_tfgr_23> * 1).setChance(0.5);
    TFGR_23_T3.build();

    // ALOE-94
    val ALOE_94_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("ALOE-94_MiningMission_t3","space_mission", 200).applyAnimation();
    ALOE_94_T3.addEnergyPerTickInput(4096);
    ALOE_94_T3.addItemInput(<contenttweaker:aloe-94>).setChance(0);
    ALOE_94_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    ALOE_94_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    ALOE_94_T3.addItemOutput(<minecraft:stone> * 4);
    ALOE_94_T3.addItemOutput(<ic2:resource:3> * 4).setChance(0.5);
    ALOE_94_T3.addItemOutput(<ic2:resource:1> * 4).setChance(0.5);
    ALOE_94_T3.addItemOutput(<minecraft:coal_ore> * 4).setChance(0.7);
    ALOE_94_T3.addItemOutput(<immersiveengineering:material:18> * 4).setChance(0.3);
    ALOE_94_T3.addItemOutput(<contenttweaker:shard_aloe_94> * 1).setChance(0.5);
    ALOE_94_T3.build();

    // PRAY-43
    val PRAY_43_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("PRAY-43_MiningMission_t3","space_mission", 200).applyAnimation();
    PRAY_43_T3.addEnergyPerTickInput(4096);
    PRAY_43_T3.addItemInput(<contenttweaker:pray-43>).setChance(0);
    PRAY_43_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    PRAY_43_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    PRAY_43_T3.addItemOutput(<minecraft:stone> * 4);
    PRAY_43_T3.addItemOutput(<ic2:resource:4> * 4).setChance(0.3);
    PRAY_43_T3.addItemOutput(<ic2:resource:2> * 4).setChance(0.5);
    PRAY_43_T3.addItemOutput(<ic2:nuclear:7> * 4).setChance(0.04);
    PRAY_43_T3.addItemOutput(<contenttweaker:shard_pray_43> * 1).setChance(0.5);
    PRAY_43_T3.build();

    // HTCH-101
    val HTCH_101_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("HTCH-101_MiningMission_t3","space_mission", 200).applyAnimation();
    HTCH_101_T3.addEnergyPerTickInput(4096);
    HTCH_101_T3.addItemInput(<contenttweaker:htch-101>).setChance(0);
    HTCH_101_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    HTCH_101_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    HTCH_101_T3.addItemOutput(<minecraft:stone> * 4);
    HTCH_101_T3.addItemOutput(<thermalfoundation:ore:6> * 4).setChance(0.2).applyAnimation();
    HTCH_101_T3.addItemOutput(<forestry:resources> * 4).setChance(0.5);
    HTCH_101_T3.addItemOutput(<ic2:misc_resource:1> * 4).setChance(0.1);
    HTCH_101_T3.addItemOutput(<contenttweaker:shard_htch_101> * 1).setChance(0.5);
    HTCH_101_T3.build();

    // BOB-302
    val BOB_302_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("BOB-302_MiningMission_t3","space_mission", 200).applyAnimation();
    BOB_302_T3.addEnergyPerTickInput(4096);
    BOB_302_T3.addItemInput(<contenttweaker:bob-302>).setChance(0);
    BOB_302_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    BOB_302_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    BOB_302_T3.addItemOutput(<minecraft:stone> * 4);
    BOB_302_T3.addItemOutput(<appliedenergistics2:charged_quartz_ore> * 4).setChance(0.2).applyAnimation();
    BOB_302_T3.addItemOutput(<appliedenergistics2:quartz_ore> * 4).setChance(0.3);
    BOB_302_T3.addItemOutput(<threng:material:1> * 4).setChance(0.1);
    BOB_302_T3.addItemOutput(<contenttweaker:shard_bob_302> * 1).setChance(0.5);
    BOB_302_T3.build();


    // BLCKSRN-DED
    val BLCKSRN_DED_T3 = mods.modularmachinery.RecipeBuilder.newBuilder("BLCKSRN-DED_MiningMission_t3","space_mission", 200).applyAnimation();
    BLCKSRN_DED_T3.addEnergyPerTickInput(4096);
    BLCKSRN_DED_T3.addItemInput(<contenttweaker:blcksrn-ded>).setChance(0);
    BLCKSRN_DED_T3.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    BLCKSRN_DED_T3.addFluidInput(<liquid:ogurechniyrassolchik> * 300);
    BLCKSRN_DED_T3.addItemOutput(<minecraft:end_stone> * 4);
    BLCKSRN_DED_T3.addItemOutput(<draconicevolution:draconium_ore:2> * 4).setChance(0.1);
    BLCKSRN_DED_T3.addItemOutput(<thermalfoundation:material:231> * 4).setChance(0.06);
    BLCKSRN_DED_T3.addItemOutput(<extendedcrafting:material:41> * 4).setChance(0.06);
    BLCKSRN_DED_T3.addItemOutput(<draconicevolution:nugget:1> * 4).setChance(0.02);
    BLCKSRN_DED_T3.addItemOutput(<draconicevolution:chaos_shard:2> * 4).setChance(0.02);
    BLCKSRN_DED_T3.addItemOutput(<contenttweaker:shard_blcksrn-ded> * 1).setChance(0.5);
    BLCKSRN_DED_T3.build();


    // AMOGU-5
    val AMOGUS = mods.modularmachinery.RecipeBuilder.newBuilder("AMOGUS","space_mission", 200).applyAnimation();
    AMOGUS.addEnergyPerTickInput(4096);
    AMOGUS.addItemInput(<contenttweaker:amogu-5>).setChance(0);
    AMOGUS.addItemInput(<contenttweaker:space_ship_t3>).setChance(0);
    AMOGUS.addFluidInput(<liquid:ogurechniyrassolchik> * 100);
    AMOGUS.addItemOutput(<contenttweaker:amogus> * 1).setChance(0.05);
    AMOGUS.addItemOutput(<contenttweaker:capybara> * 1).setChance(0.05);
    #AMOGUS.addItemOutput(<minecraft:written_book>.withTag({generation: 0, pages: [{"text":"Я в своем познании настолько преисполнился, что я как будто бы уже сто триллионов миллиардов лет проживаю на триллионах и триллионах таких же планет, как эта Земля, мне этот мир абсолютно понятен, и здесь я ищу только одного - покоя,"}, {"text":"умиротворения и вот этой гармонии, от слияния с бесконечно вечным, от созерцания великого фрактального подобия и от вот этого замечательного всеединства существа, бесконечно вечного, куда ни посмотри, хоть вглубь - бесконечно малое,"}, {"text":"хоть ввысь - бесконечно большое, понимаешь?"}], author: "praymag", title: "amogus", resolved: 1 as byte})).setChance(0.05);
    AMOGUS.build();