#priority 1
import crafttweaker.item.IItemStack;
import crafttweaker.mods.IMod;
import scripts.Util.func.JEIhide as JEIhide;
import scripts.Util.func.DonateTooltip as DonateTooltip;
import scripts.Util.func.DeleteItem as DeleteItem;

JEIhide([
        <minecraft:bedrock>,
        <ic2:crop_seed_bag>,
        <ic2:booze_mug>,
        <ic2:debug_item>,
        <gendustry:hive_spawn_debugger>,
        <appliedenergistics2:creative_energy_cell>,
        <appliedenergistics2:creative_storage_cell>,
        <advanced_solar_panels:double_stone_slab>,
        <advanced_solar_panels:double_stone_slab:1>,
        <advanced_solar_panels:double_stone_slab:2>,
        <advanced_solar_panels:double_stone_slab:3>,
        <advanced_solar_panels:double_stone_slab:4>,
        <advanced_solar_panels:double_stone_slab:5>,
        <advanced_solar_panels:double_stone_slab:6>,
        <advanced_solar_panels:double_stone_slab:7>,
        <draconicevolution:creative_rf_source>,
        <draconicevolution:draconium_capacitor:2>,
        <extrautils2:itemcreativedestructionwand>,
        <extrautils2:itemcreativebuilderswand>,
        <extrautils2:passivegenerator:6>,
        <extrautils2:drum:4>,
        <extrautils2:spike_creative>,
        <extrautils2:creativechest>,
        <extrautils2:creativeenergy>,
        <extrautils2:creativeharvest>,
        <immersiveengineering:metal_device0:3>,
        <ic2:te:86>,
        <mekanism:basicblock:6>.withTag({tier: 4}),
        <mekanism:machineblock2:11>.withTag({tier: 4}),
        <mekanism:energycube>.withTag({tier: 4}),
        <mekanism:energycube>.withTag({tier: 4, mekData: {energyStored: 1.7976931348623157E308}}),
        <mekanism:gastank>.withTag({tier: 4}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "hydrogen"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "oxygen"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "water"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "chlorine"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "sulfurdioxide"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "sulfurtrioxide"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "sulfuricacid"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "hydrogenchloride"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "ethene"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "sodium"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "brine"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "deuterium"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "tritium"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "fusionfuel"}}}),
        <mekanism:gastank>.withTag({tier: 4, mekData: {stored: {amount: 2147483647, gasName: "lithium"}}}),
        <modularmachinery:itemconstructtool>,
        <storagedrawers:upgrade_creative>,
        <storagedrawers:upgrade_creative:1>,
        <thermalcultivation:watering_can:32000>.withTag({Water: 60000, Mode: 4}),
        <thermalexpansion:capacitor:32000>.withTag({Energy: 25000000}),
        <thermalexpansion:reservoir:32000>.withTag({}),
        <thermalfoundation:upgrade:256>,
        <thermalinnovation:drill:32000>.withTag({Energy: 600000, Mode: 4}),
        <thermalinnovation:saw:32000>.withTag({Energy: 600000, Mode: 4}),
        <thermalinnovation:magnet:32000>.withTag({Energy: 600000}),
        <thermalinnovation:injector:32000>.withTag({}),
        <thermalinnovation:quiver:32000>.withTag({}),
        <minecraft:command_block>,
        <minecraft:barrier>,
        <minecraft:repeating_command_block>,
        <minecraft:chain_command_block>,
        <minecraft:structure_void>,
        <minecraft:structure_block>,
        <minecraft:command_block_minecart>,
        <minecraft:knowledge_book>,
        <minecraft:written_book>,
        <gendustry:gene_sample_blank:*>,
        <gendustry:gene_template:*>,
        <gendustry:gene_sample:*>,
        <ceramics:clay_bucket:1>,
        <modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:refuel_station"})

    ] as IItemStack[]);

DeleteItem([
        <draconicevolution:draconic_staff_of_power>,
        <energycontrol:howler_alarm>,
        <energycontrol:industrial_alarm>,
        <energycontrol:card_holder>,
        <energycontrol:portable_panel>,
        <energycontrol:range_trigger>,
        <extrautils2:chickenring>,
        <extrautils2:chickenring:1>,
        <extrautils2:angelring>,
        <extrautils2:angelring:1>,
        <extrautils2:angelring:2>,
        <extrautils2:angelring:3>,
        <extrautils2:angelring:4>,
        <extrautils2:angelring:5>,
        <extrautils2:goldenlasso>,
        <extrautils2:goldenlasso:1>,
        <thermalexpansion:florb:*>,
        <thermalexpansion:morb:*>,
        <thermalexpansion:augment:416>,
        <extrautils2:bagofholding>,
        <industrialforegoing:enchantment_extractor>,
        <industrialforegoing:enchantment_aplicator>,
        <forestry:rainmaker>,
        <ic2:te:67>,
        <ic2:te:65>,
        <ic2:te:57>,
        <ic2:te:60>,
        <ic2:te:89>,
        <ic2:te:88>,
        <ic2:te:82>,
        <ic2:te:2>,
        <ic2:te:1>,
        <ic2:te:40>,
        <ic2:remote>,
        <ic2:dynamite_sticky>,
        <ic2:dynamite>,
        <thermalexpansion:device:11>,
        <mekanism:robit>,
        <gendustry:labware>,
        <gendustry:mutagen_tank>,
        <gendustry:eject_cover>,
        <gendustry:import_cover>,
        <gendustry:error_sensor_cover>,
        <gendustry:mutagen_producer>,
        <gendustry:mutatron>,
        <gendustry:imprinter>,
        <gendustry:sampler>,
        <gendustry:mutatron_advanced>,
        <gendustry:liquifier>,
        <gendustry:extractor>,
        <gendustry:transposer>,
        <gendustry:replicator>,
        <extendedcrafting:handheld_table>,
        <mekanism:anchorupgrade>,
        <mekanism:cardboardbox>,
        <mekanism:walkietalkie>,
        <mekanism:machineblock:2>,
        <mekanism:machineblock:5>.withTag({recipeType: 4}),
        <mekanism:machineblock:6>.withTag({recipeType: 4}),
        <mekanism:machineblock:7>.withTag({recipeType: 4})
    ] as IItemStack[]);   

DonateTooltip([
        <advanced_solar_panels:machines:1>,
        <tconstruct:materials:50>
    ] as IItemStack[]);


//hide AE2 facade, ItemIcons and CraftItems
for mod in loadedMods {
   for item in mod.items {
       if(item.displayName.contains("Кабельный фасад")){
           if(item.displayName.contains("Дёрн")){
                item.addTooltip(format.gold("Другие фасады скрыты, но так же доступны для крафта"));
               }
           else{
               mods.jei.JEI.hide(item);
           }
       }
    }
    if (mod.name.contains("Item Icon")){
        for item in mod.items { mods.jei.JEI.hide(item);}
    }
        if (mod.name.contains("CraftItems")){
        for item in mod.items { mods.jei.JEI.hide(item);}
    }
}

//hide Ceramics buckets, cans and fluids
for liquid in game.liquids {
    mods.jei.JEI.hide(<ceramics:clay_bucket>.withTag({fluids: {FluidName: liquid.name, Amount: 1000}}));
    mods.jei.JEI.hide(<forestry:can:1>.withTag({Fluid: {FluidName: liquid.name, Amount: 1000}}));
    mods.jei.JEI.hide(<forestry:capsule:1>.withTag({Fluid: {FluidName: liquid.name, Amount: 1000}}));
    mods.jei.JEI.hide(<ic2:fluid_cell>.withTag({Fluid: {FluidName: liquid.name, Amount: 1000}}));
    mods.jei.JEI.hide(<forestry:refractory:1>.withTag({Fluid: {FluidName: liquid.name, Amount: 1000}}));
}

//tooltips for other items
<ic2:crafting:36>.addTooltip(format.gold("Выход энергии увеличен вдвое"));
<ic2:te:18>.addTooltip(format.gold("Выход энергии увеличен вдвое"));
<mekanismgenerators:reactor>.addTooltip(format.gold("Максимальная скорость впрыска топлива: 20"));


<contenttweaker:shard_blcksrn-ded>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_wzrd_12>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_pray_43>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_skfa_84>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_bob_302>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_inds_43>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_tmev_53>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_htch_101>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_aloe_94>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:shard_tfgr_23>.addShiftTooltip("Можно обменять на 1 балл в Космическом турнире", "Нажмите Shift для информации");
<contenttweaker:space_singularity>.addShiftTooltip("Можно обменять на 81 балл в Космическом турнире", "Нажмите Shift для информации");