import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.data.IData;

//Энергохранилище
recipes.remove(<ic2:te:72>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:72>, [
	[<ore:leather>, <ore:plankWood>, <ore:plankWood>, <ore:plankWood>, <ore:leather>], 
	[<ore:plankWood>, <contenttweaker:circuit_t3>, <ic2:charging_re_battery:26>, <contenttweaker:circuit_t3>, <ore:plankWood>], 
	[<ore:plankWood>, <immersiveengineering:connector:7>, <thermalexpansion:frame>, <immersiveengineering:connector:7>, <ore:plankWood>], 
	[<ore:plankWood>, <immersiveengineering:metal_device0>, <ic2:charging_re_battery:26>, <immersiveengineering:metal_device0>, <ore:plankWood>], 
	[<ore:leather>, <ore:plankWood>, <ore:plankWood>, <ore:plankWood>, <ore:leather>]
]);

//Трансформатор НН
recipes.remove(<ic2:te:77>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:77>, [
	[<ore:leather>, <ore:plankWood>, <ore:plankWood>, <ore:plankWood>, <ore:leather>], 
	[<ore:plankWood>, <ore:plateSteel>, <immersiveengineering:metal_decoration0>, <ore:plateSteel>, <ore:plankWood>], 
	[<ore:plankWood>, <ic2:crafting:29>, <immersiveengineering:metal_decoration0>, <ic2:crafting:29>, <ore:plankWood>], 
	[<ore:plankWood>, <ore:plateSteel>, <immersiveengineering:metal_decoration0>, <ore:plateSteel>, <ore:plankWood>], 
	[<ore:leather>, <ore:plankWood>, <ore:plankWood>, <ore:plankWood>, <ore:leather>]
]);

//Базовый корпус механизма
recipes.remove(<ic2:resource:12>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:resource:12>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ore:itemCopperCable>, <contenttweaker:circuit_t3>, <ore:itemCopperCable>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ic2:crafting:5>, <thermalexpansion:frame>, <ic2:crafting:5>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ore:itemCopperCable>, <contenttweaker:circuit_t3>, <ore:itemCopperCable>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Генератор
recipes.remove(<ic2:te:3>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:3>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <immersiveengineering:metal_decoration0>, <ic2:charging_re_battery:26>, <ore:itemCopperCable>, <ore:plateSteel>], 
	[<ic2:casing:3>, <contenttweaker:circuit_t3>, <thermalexpansion:frame>, <contenttweaker:circuit_t3>, <ic2:casing:3>], 
	[<ore:plateSteel>, <immersiveengineering:metal_decoration0>, <ic2:crafting:6>, <ore:itemCopperCable>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Дробитель
recipes.remove(<ic2:te:47>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:47>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ore:gearSignalum>, <immersiveengineering:wooden_device0:3>, <ore:gearSignalum>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ic2:crafting:6>, <ore:machineBlock>, <ic2:crafting:6>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ore:obsidian>, <contenttweaker:circuit_t3>, <ore:obsidian>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Геотермальный генератор
recipes.remove(<ic2:te:4>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:4>, [
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:fluid_cell>, <immersiveengineering:metal_device0:5>, <ic2:fluid_cell>, <ic2:casing:3>], 
	[<ic2:casing:3>, <immersiveengineering:metal_decoration0>, <ore:ic2Generator>, <immersiveengineering:metal_decoration0>, <ic2:casing:3>], 
	[<ic2:casing:3>, <immersiveengineering:metal_device1:3>, <contenttweaker:circuit_t3>, <immersiveengineering:metal_device1:3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>]
]);

//Экстрактор
recipes.remove(<ic2:te:45>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:45>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ore:itemCopperCable>, <immersiveengineering:wooden_device0:3>, <ore:itemCopperCable>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ic2:electric_treetap:26>, <ore:machineBlock>, <ic2:electric_treetap:26>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ore:itemCopperCable>, <contenttweaker:circuit_t3>, <ore:itemCopperCable>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Солнечная панель
recipes.remove(<ic2:te:8>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:8>, [
	[<advanced_solar_panels:crafting:6>, <advanced_solar_panels:crafting:6>, <advanced_solar_panels:crafting:6>, <advanced_solar_panels:crafting:6>, <advanced_solar_panels:crafting:6>], 
	[<ic2:casing:3>, <ore:itemCopperCable>, <extrautils2:passivegenerator>, <ore:itemCopperCable>, <ic2:casing:3>], 
	[<ic2:casing:3>, <contenttweaker:circuit_t3>, <ore:ic2Generator>, <contenttweaker:circuit_t3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ore:itemCopperCable>, <contenttweaker:circuit_t3>, <ore:itemCopperCable>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ore:plateSteel>]
]);

//Сжиматель
recipes.remove(<ic2:te:43>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:43>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <thermalexpansion:tank>, <contenttweaker:circuit_t3>, <minecraft:piston>, <ore:plateSteel>], 
	[<ic2:casing:3>, <immersiveengineering:toolupgrade:3>, <ore:machineBlock>, <ore:obsidian>, <ic2:casing:3>], 
	[<ore:plateSteel>, <thermalexpansion:tank>, <contenttweaker:circuit_t3>, <minecraft:piston>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Генератор Стирлинга
recipes.remove(<ic2:te:9>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:9>, [
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ore:itemCopperCable>, <contenttweaker:circuit_t3>, <ore:itemCopperCable>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:crafting:7>, <ore:ic2Generator>, <ic2:crafting:7>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ore:itemCopperCable>, <immersiveengineering:metal_device1:3>, <ore:itemCopperCable>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>]
]);

//Металлоформовочная машина
recipes.remove(<ic2:te:55>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:55>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <immersiveengineering:mold:4>, <immersiveengineering:wooden_device0:3>, <immersiveengineering:mold>, <ore:plateSteel>], 
	[<ic2:casing:3>, <minecraft:piston>, <ore:machineBlock>, <minecraft:piston>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ic2:tool_box>, <contenttweaker:circuit_t3>, <ic2:tool_box>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Парогенератор
recipes.remove(<ic2:te:34>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:34>, [
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:crafting:5>, <contenttweaker:circuit_t3>, <ic2:crafting:5>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:crafting:8>, <ore:machineBlock>, <ic2:crafting:8>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:crafting:5>, <ic2:crafting:7>, <ic2:crafting:5>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>]
]);

//Консервирующая машина
recipes.remove(<ic2:te:49>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:49>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ic2:pipe>, <immersiveengineering:wooden_device0:3>, <ic2:pipe>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ic2:crafting:10>, <ore:machineBlock>, <ic2:crafting:10>, <ic2:casing:3>], 
	[<ore:plateSteel>, <contenttweaker:circuit_t3>, <ic2:crafting:5>, <contenttweaker:circuit_t3>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Электрическая печь
recipes.remove(<ic2:te:44>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:44>, [
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:crafting:5>, <minecraft:furnace>, <ic2:crafting:5>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:crafting:5>, <ore:machineBlock>, <ic2:crafting:5>, <ic2:casing:3>], 
	[<ic2:casing:3>, <contenttweaker:circuit_t3>, <immersiveengineering:metal_device1:1>, <contenttweaker:circuit_t3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>]
]);

//Наполнитель
recipes.remove(<ic2:te:42>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:42>, [
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>], 
	[<ore:plateSteel>, <ic2:pipe>, <immersiveengineering:metal_device0:5>, <ic2:pipe>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ic2:fluid_cell>, <ore:machineBlock>, <ic2:crafting:10>, <ic2:casing:3>], 
	[<ore:plateSteel>, <contenttweaker:circuit_t3>, <ic2:crafting:5>, <contenttweaker:circuit_t3>, <ore:plateSteel>], 
	[<ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>, <ore:plateSteel>, <ic2:casing:3>]
]);

//Солнечный опреснитель
recipes.remove(<ic2:te:33>);
mods.extendedcrafting.TableCrafting.addShaped(0, <ic2:te:33>, [
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <extrautils2:passivegenerator>, <extrautils2:passivegenerator>, <extrautils2:passivegenerator>, <ic2:casing:3>], 
	[<ic2:casing:3>, <contenttweaker:circuit_t3>, <ore:machineBlock>, <contenttweaker:circuit_t3>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:fluid_cell>, <immersiveengineering:wooden_device0:7>, <ic2:fluid_cell>, <ic2:casing:3>], 
	[<ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>, <ic2:casing:3>]
]);