import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;
import scripts.Util.helper.addRecipeToTierMachine as addRecipeToTierMachine;


var machine = "assembler";
var tier = 1;
var maxTier = 3;
var processingTime = 600;
var energy = 512;

addRecipeToTierMachine("inscriber", machine, tier, maxTier, processingTime, energy,
    
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:crystalFluix> * 1,
        <minecraft:sticky_piston> * 2,
        <ore:plateIron> * 6,
        <thermalexpansion:frame> * 1
    ], 
<appliedenergistics2:inscriber> * 1);

addRecipeToTierMachine("charger", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <appliedenergistics2:material:12> * 2,
        <immersiveengineering:metal_device1:5> * 1,
        <ore:plateIron> * 6,
        <thermalexpansion:frame> * 1
    ], 
<appliedenergistics2:charger> * 1);

addRecipeToTierMachine("quartz_growth_accelerator", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <appliedenergistics2:fluix_block> * 1,
        <appliedenergistics2:part:16> * 4,
        <ore:plateIron> * 8,
        <thermalexpansion:frame> * 1
    ], 
<appliedenergistics2:quartz_growth_accelerator> * 1);

addRecipeToTierMachine("molecular_assembler", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <appliedenergistics2:material:44> * 1,
        <appliedenergistics2:material:43> * 1,
        <appliedenergistics2:part:16> * 2,
        <extendedcrafting:table_basic> * 1
    ], 
<appliedenergistics2:molecular_assembler> * 1);

addRecipeToTierMachine("formation_core", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:dustFluix> * 2,
        <ore:crystalCertusQuartz> * 4,
        <appliedenergistics2:material:22> * 1
    ], 
    <appliedenergistics2:material:43> * 1);

addRecipeToTierMachine("annihilation_core", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:dustFluix> * 2,
        <ore:gemQuartz> * 4,
        <appliedenergistics2:material:22> * 1
    ], 
    <appliedenergistics2:material:44> * 1);


addRecipeToTierMachine("energy_acceptor", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ic2:dust:6> * 8,
        <appliedenergistics2:fluix_block> * 1,
        <ore:plateIron> * 8,
        <appliedenergistics2:quartz_glass> * 4
    ],
    <appliedenergistics2:energy_acceptor> * 1);

addRecipeToTierMachine("energy_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ic2:dust:6> * 4,
        <ore:dustFluix> * 4,
        <ore:dustCertusQuartz> * 4,
        <appliedenergistics2:quartz_glass> * 4
    ],
    <appliedenergistics2:energy_cell> * 1);

addRecipeToTierMachine("crafting_unit", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <appliedenergistics2:material:22> * 2,
        <appliedenergistics2:material:23> * 2,
        <ore:plateIron> * 8,
        <appliedenergistics2:part:16> * 4
    ],
    <appliedenergistics2:crafting_unit> * 1);

addRecipeToTierMachine("cable", machine, tier, maxTier, processingTime, energy,
    [
        <ore:crystalFluix> * 2,
        <ore:dustFluix> * 1,
        <ic2:dust:6> * 2,
        <appliedenergistics2:part:140> * 1,
        <appliedenergistics2:quartz_glass> * 2
    ],
    <appliedenergistics2:part:16> * 4);

addRecipeToTierMachine("Inscriber_silicone_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <threng:material:9> * 2,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:19> * 1);

addRecipeToTierMachine("Inscriber_Calculation_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <appliedenergistics2:quartz_block> * 2,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:13> * 1);

addRecipeToTierMachine("Inscriber_engineering_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <ore:blockDiamond> * 2,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:14> * 1);

addRecipeToTierMachine("Inscriber_logic_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <ore:blockGold> * 2,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:15> * 1);

addRecipeToTierMachine("Basic_Card", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:plateSteel> * 2,
        <ore:plateGold> * 2,
        <appliedenergistics2:material:23> * 1
    ],
    <appliedenergistics2:material:25> * 1);

addRecipeToTierMachine("tiny_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 4,
        <ore:gemCertusQuartz> * 8,
        <ore:dustRedstone> * 8,
        <appliedenergistics2:material:22> * 3
    ],
    <appliedenergistics2:material:35> * 1);

addRecipeToTierMachine("tiny_fluid_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 4,
        <ore:gemCertusQuartz> * 8,
        <ore:dustLapis> * 8,
        <appliedenergistics2:material:22> * 3
    ],
    <appliedenergistics2:material:54> * 1);

addRecipeToTierMachine("illuminated_panel", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:dustFluix> * 2,
        <appliedenergistics2:material:22> * 1,
        <appliedenergistics2:quartz_glass> * 4
    ],
    <appliedenergistics2:part:180> * 1);

addRecipeToTierMachine("blank_terminal", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:itemIlluminatedPanel> * 1,
        <appliedenergistics2:material:25> * 1,
        <appliedenergistics2:material:52> * 1,
        <appliedenergistics2:material:24> * 2
    ],
    <appliedenergistics2:part:340> * 1);

addRecipeToTierMachine("crafting_terminal", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:itemIlluminatedPanel> * 1,
        <appliedenergistics2:material:25> * 1,
        <extendedcrafting:table_basic> * 1,
        <appliedenergistics2:material:23> * 2
    ],
    <appliedenergistics2:part:360> * 1);

addRecipeToTierMachine("terminal", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:itemIlluminatedPanel> * 1,
        <appliedenergistics2:material:43> * 1,
        <appliedenergistics2:material:44> * 1,
        <appliedenergistics2:material:22> * 2
    ],
    <appliedenergistics2:part:380> * 1);


addRecipeToTierMachine("interface_terminal", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:itemIlluminatedPanel> * 1,
        <threng:material:12> * 1,
        <appliedenergistics2:interface> * 1,
        <appliedenergistics2:material:24> * 2
    ],
    <appliedenergistics2:part:480> * 1);

addRecipeToTierMachine("interface", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:plateIron> * 8,
        <appliedenergistics2:quartz_glass> * 4,
        <appliedenergistics2:material:43> * 1,
        <appliedenergistics2:material:44> * 1
    ],
    <appliedenergistics2:interface> * 1);

recipes.addShapeless(<appliedenergistics2:interface> * 1, [<appliedenergistics2:part:440>]);



addRecipeToTierMachine("fluid_interface", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ore:plateLapis> * 8,
        <appliedenergistics2:quartz_glass> * 4,
        <appliedenergistics2:material:43> * 1,
        <appliedenergistics2:material:44> * 1
    ],
    <appliedenergistics2:fluid_interface> * 1);


addRecipeToTierMachine("export_bus", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:plateIron> * 4,
        <appliedenergistics2:material:43> * 1,
        <minecraft:piston> * 1
    ],
    <appliedenergistics2:part:260> * 1);


addRecipeToTierMachine("import_bus", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:plateIron> * 4,
        <appliedenergistics2:material:44> * 1,
        <minecraft:sticky_piston> * 1
    ],
    <appliedenergistics2:part:240> * 1);

addRecipeToTierMachine("fluid_export_bus", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ore:dustLapis> * 4,
        <ore:plateIron> * 4,
        <appliedenergistics2:material:43> * 1,
        <minecraft:piston> * 1
    ],
    <appliedenergistics2:part:261> * 1);

addRecipeToTierMachine("fluid_import_bus", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ore:dustLapis> * 4,
        <ore:plateIron> * 4,
        <appliedenergistics2:material:44> * 1,
        <minecraft:sticky_piston> * 1
    ],
    <appliedenergistics2:part:241> * 1);

addRecipeToTierMachine("condenser", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ore:plateIron> * 8,
        <ore:dustFluix> * 4,
        <appliedenergistics2:material:43> * 1,
        <appliedenergistics2:material:44> * 1
    ],
    <appliedenergistics2:condenser> * 1);

addRecipeToTierMachine("crafting_accelerator", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <appliedenergistics2:crafting_unit> * 1,
        <appliedenergistics2:material:24> * 2
    ],
    <appliedenergistics2:crafting_accelerator> * 1);

addRecipeToTierMachine("crafting_monitor", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <appliedenergistics2:crafting_unit> * 1,
        <appliedenergistics2:part:400> * 1
    ],
    <appliedenergistics2:crafting_monitor> * 1);

addRecipeToTierMachine("level_emitter", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <appliedenergistics2:part:280> * 1,
        <ore:itemIlluminatedPanel> * 1
    ],
    <appliedenergistics2:part:400> * 1);

addRecipeToTierMachine("advanced_inscriber", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <appliedenergistics2:inscriber> * 1,
        <appliedenergistics2:material:24> * 2,
        <ore:plateIron> * 8
    ],
    <ae2stuff:inscriber> * 1);

addRecipeToTierMachine("encoder", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <extendedcrafting:table_basic> * 1,
        <appliedenergistics2:material:23> * 2,
        <ore:itemIlluminatedPanel> * 1,
        <minecraft:hopper> * 2
    ],
    <ae2stuff:encoder> * 1);

addRecipeToTierMachine("chest", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <appliedenergistics2:part:16> * 2,
        <appliedenergistics2:part:380> * 1,
        <ore:plateIron> * 4,
        <appliedenergistics2:sky_stone_chest> * 1
    ],
    <appliedenergistics2:chest> * 1);


addRecipeToTierMachine("thermal_kit_blank", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 2,
        <ore:plateSteel> * 4,
        <thermalfoundation:material:640> * 1,
        <thermalexpansion:frame:128> * 1
    ],
    <contenttweaker:thermal_kit_blank> * 1);

addRecipeToTierMachine("thermal_kit_invar", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:thermal_kit_blank> * 1,
        <contenttweaker:circuit_t3> * 2,
        <thermalexpansion:frame:129> * 1,
        <ore:blockInvar> * 2,
        <ore:gearInvar> * 4
    ],
    <thermalfoundation:upgrade> * 1);


