import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;
import scripts.Util.helper.addRecipeToTierMachine as addRecipeToTierMachine;

var machine = "chipassembler";
var tier = 2;
var maxTier = 3;
var processingTime = 600;


addRecipeToTierMachine("circuit_t3", machine, tier, maxTier, processingTime, 256,
    [
        <contenttweaker:circuit_t2> * 2,
        <thermalfoundation:material:513> * 1,
        <thermalfoundation:material:514> * 1,
        <thermalfoundation:material:515> * 1,
        <immersiveengineering:toolupgrade:6> * 1,
    ],
    <contenttweaker:circuit_t3> * 2);

addRecipeToTierMachine("circuit_t4", machine, tier, maxTier, processingTime, 512,
    [
        <contenttweaker:circuit_t3> * 2,
        <ic2:crafting:2> * 1,
        <ic2:crafting:3> * 2,
        <ore:energyCrystal> * 1,
        <ic2:single_use_battery> * 1,
    ],
    <contenttweaker:circuit_t4> * 2);

addRecipeToTierMachine("circuit_t5", machine, tier, maxTier, processingTime, 1024,
    [
        <contenttweaker:circuit_t4> * 2,
        <threng:material:6> * 1,
        <contenttweaker:universal_processor> * 1,
        <ore:lapotronCrystal> * 1,
        <ic2:crafting:3> * 4,
        <ore:dustHOPGraphite> * 1
    ],
    <contenttweaker:circuit_t5> * 2);
