import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "research_center";

val AMOGU_5 = mods.modularmachinery.RecipeBuilder.newBuilder("AMOGU_5",machine,600).applyAnimation();
AMOGU_5.addEnergyPerTickInput(512);
AMOGU_5.addItemInput(<extendedcrafting:singularity_ultimate> * 1);
AMOGU_5.addItemInput(<contenttweaker:circuit_t8> * 4);
AMOGU_5.addItemOutput(<contenttweaker:amogu-5> * 1);
AMOGU_5.build();

val WZRD_12 = mods.modularmachinery.RecipeBuilder.newBuilder("WZRD_12",machine,600).applyAnimation();
WZRD_12.addEnergyPerTickInput(512);
WZRD_12.addItemInput(<contenttweaker:circuit_t6> * 4);
WZRD_12.addItemInput(<ore:oreDiamond> * 64);
WZRD_12.addItemOutput(<contenttweaker:wzrd-12> * 1);
WZRD_12.build();

val INDS_43 = mods.modularmachinery.RecipeBuilder.newBuilder("INDS_43",machine,600).applyAnimation();
INDS_43.addEnergyPerTickInput(512);
INDS_43.addItemInput(<contenttweaker:circuit_t6> * 4);
INDS_43.addItemInput(<ore:oreIron> * 64);
INDS_43.addItemInput(<ore:oreNickel> * 64);
INDS_43.addItemInput(<ore:oreOsmium> * 64);
INDS_43.addItemOutput(<contenttweaker:inds-43> * 1);
INDS_43.build();

val ALOE_94 = mods.modularmachinery.RecipeBuilder.newBuilder("ALOE_94",machine,600).applyAnimation();
ALOE_94.addEnergyPerTickInput(512);
ALOE_94.addItemInput(<contenttweaker:circuit_t6> * 4);
ALOE_94.addItemInput(<ore:oreCopper> * 64);
ALOE_94.addItemInput(<ore:oreTin> * 64);
ALOE_94.addItemOutput(<contenttweaker:aloe-94> * 1);
ALOE_94.build();

val BOB_302 = mods.modularmachinery.RecipeBuilder.newBuilder("BOB_302",machine,600).applyAnimation();
BOB_302.addEnergyPerTickInput(512);
BOB_302.addItemInput(<contenttweaker:circuit_t6> * 4);
BOB_302.addItemInput(<ore:oreCertusQuartz> * 64);
BOB_302.addItemOutput(<contenttweaker:bob-302> * 1);
BOB_302.build();

val PRAY_43 = mods.modularmachinery.RecipeBuilder.newBuilder("PRAY_43",machine,600).applyAnimation();
PRAY_43.addEnergyPerTickInput(512);
PRAY_43.addItemInput(<contenttweaker:circuit_t6> * 4);
PRAY_43.addItemInput(<ore:oreLead> * 64);
PRAY_43.addItemInput(<ore:oreUranium> * 64);
PRAY_43.addItemOutput(<contenttweaker:pray-43> * 1);
PRAY_43.build();

val HTCH_101 = mods.modularmachinery.RecipeBuilder.newBuilder("HTCH_101",machine,600).applyAnimation();
HTCH_101.addEnergyPerTickInput(512);
HTCH_101.addItemInput(<contenttweaker:circuit_t6> * 4);
HTCH_101.addItemInput(<ore:oreApatite> * 64);
HTCH_101.addItemInput(<ore:orePlatinum> * 16);
HTCH_101.addItemInput(<ore:gemIridium> * 1);
HTCH_101.addItemOutput(<contenttweaker:htch-101> * 1);
HTCH_101.build();

val BLCKSRN_DED = mods.modularmachinery.RecipeBuilder.newBuilder("BLCKSRN_DED",machine,600).applyAnimation();
BLCKSRN_DED.addEnergyPerTickInput(512);
BLCKSRN_DED.addItemInput(<contenttweaker:circuit_t6> * 4);
BLCKSRN_DED.addItemInput(<ore:oreDraconium> * 64);
BLCKSRN_DED.addItemInput(<ore:blockEnderium> * 8);
BLCKSRN_DED.addItemInput(<ore:netherStar> * 1);
BLCKSRN_DED.addItemOutput(<contenttweaker:blcksrn-ded> * 1);
BLCKSRN_DED.build();

val TFGR_23 = mods.modularmachinery.RecipeBuilder.newBuilder("TFGR_23",machine,600).applyAnimation();
TFGR_23.addEnergyPerTickInput(512);
TFGR_23.addItemInput(<contenttweaker:circuit_t6> * 4);
TFGR_23.addItemInput(<ore:oreGold> * 64);
TFGR_23.addItemInput(<ore:blockGlowstone> * 64);
TFGR_23.addItemOutput(<contenttweaker:tfgr-23> * 1);
TFGR_23.build();

val SKFA_84 = mods.modularmachinery.RecipeBuilder.newBuilder("SKFA_84",machine,600).applyAnimation();
SKFA_84.addEnergyPerTickInput(512);
SKFA_84.addItemInput(<contenttweaker:circuit_t6> * 4);
SKFA_84.addItemInput(<ore:netherrack> * 64);
SKFA_84.addItemInput(<ore:oreArdite> * 32);
SKFA_84.addItemInput(<ore:oreCobalt> * 32);
SKFA_84.addItemOutput(<contenttweaker:skfa-84> * 1);
SKFA_84.build();

val TMEV_53 = mods.modularmachinery.RecipeBuilder.newBuilder("TMEV_53",machine,600).applyAnimation();
TMEV_53.addEnergyPerTickInput(512);
TMEV_53.addItemInput(<contenttweaker:circuit_t6> * 4);
TMEV_53.addItemInput(<appliedenergistics2:sky_stone_block> * 64);
TMEV_53.addItemInput(<ore:oreRedstone> * 64);
TMEV_53.addItemInput(<ore:oreLapis> * 64);
TMEV_53.addItemOutput(<contenttweaker:tmev-53> * 1);
TMEV_53.build();

val blueprint_alternative_circuit_t5 = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_circuit_t5",machine,600).applyAnimation();
blueprint_alternative_circuit_t5.addEnergyPerTickInput(512);
blueprint_alternative_circuit_t5.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_circuit_t5.addItemInput(<contenttweaker:circuit_t5> * 4);
blueprint_alternative_circuit_t5.addItemOutput(<contenttweaker:blueprint_alternative_circuit_t5> * 1);
blueprint_alternative_circuit_t5.build();

val blueprint_alternative_advanced_casing = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_advanced_casing",machine,600).applyAnimation();
blueprint_alternative_advanced_casing.addEnergyPerTickInput(512);
blueprint_alternative_advanced_casing.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_advanced_casing.addItemInput(<ic2:resource:13> * 4);
blueprint_alternative_advanced_casing.addItemOutput(<contenttweaker:blueprint_alternative_advanced_casing> * 1);
blueprint_alternative_advanced_casing.build();

val blueprint_alternative_steel_casing = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_steel_casing",machine,600).applyAnimation();
blueprint_alternative_steel_casing.addEnergyPerTickInput(512);
blueprint_alternative_steel_casing.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_steel_casing.addItemInput(<mekanism:basicblock:8> * 4);
blueprint_alternative_steel_casing.addItemOutput(<contenttweaker:blueprint_alternative_steel_casing> * 1);
blueprint_alternative_steel_casing.build();

val blueprint_alternative_iridium_plate= mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_iridium_plate",machine,600).applyAnimation();
blueprint_alternative_iridium_plate.addEnergyPerTickInput(512);
blueprint_alternative_iridium_plate.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_iridium_plate.addItemInput(<ic2:crafting:4> * 4);
blueprint_alternative_iridium_plate.addItemOutput(<contenttweaker:blueprint_alternative_iridium_plate> * 1);
blueprint_alternative_iridium_plate.build();