#priority 10

import crafttweaker.item.IItemStack;
import mods.contenttweaker.VanillaFactory;
import mods.contenttweaker.CreativeTab;
import mods.contenttweaker.Item;
import crafttweaker.creativetabs.ICreativeTab;
import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.liquid.ILiquidDefinition;
import crafttweaker.data.IData;
import crafttweaker.item.IItemDefinition;
import crafttweaker.mods.ILoadedMods;

print("Initializing JEI tooltip");


//Скрывает предметы из массива в JEI
function JEIhide(array as IItemStack[]){
    for item in array {
    mods.jei.JEI.hide(item);
    }       
}

//Добавляет приписку предметам из массива
function DonateTooltip(array as IItemStack[]){
    for item in array {
    recipes.remove(item);
    item.addTooltip(format.gold("Можно купить в донат-магазине на сайте"));
    }      
}

//Удаляет крафты предметов и скрывает из JEI
function DeleteItem(array as IItemStack[]){
    for item in array {
    recipes.remove(item);
    mods.jei.JEI.hide(item);
    item.addTooltip(format.darkRed("В данной сборке этот предмет выключен"));
    }
}




print("JEI tooltip was initialized");